import esbuildPluginTsc from 'esbuild-plugin-tsc';
import * as esbuild from 'esbuild'

const ctx = await esbuild.context({
    entryPoints: ['src/main.ts'],
    outfile: 'dist/bundle.js',
    bundle: true,
    plugins: [
      esbuildPluginTsc({
        tsconfigPath: 'tsconfig.json',
        force: true
      }),
    ],
    minify: true
});

ctx.watch();